Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1337 (closed enhancement: fixed)

Opened 12 years ago

Last modified 12 years ago

[patch] Optional improved stack traces and compiler support for HAL invocations

Reported by: mtaylor Assigned to: mtaylor
Priority: minor Milestone: version 0.9.5
Component: madwifi: HAL Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

The attached patch relocates the wrapper macros we use to make HAL functions follow our function naming convention down into the ath_hal directory. A conditional compiler directive toggles between the use of macros (faster) and wrapper functions. The wrapper functions are useful during debugging since you will see a human readable [madwifi] function name rather than the obfuscated name from teh binary hal in traces and oops messages.

This can be very helpful, for example, in locating where in the calling function you have mis-used the HAL and caused it to crash. ;-)

Attachments

madwifi-0.9.3-ath-halops.diff (59.8 kB) - added by mtaylor on 05/23/07 19:17:33.
Add compile-time support for use of EITHER macros or functions to wrap use of HAL function pointers.
madwifi-0.9.3-ath-halops.2.diff (60.4 kB) - added by mtaylor on 05/23/07 20:09:25.
Fixes a compile error where CC is needed to be passed in for turbo check
madwifi-0.9.3-ath-halops.3.diff (60.4 kB) - added by mtaylor on 05/23/07 22:18:47.
Update

Change History

05/23/07 19:17:33 changed by mtaylor

  • attachment madwifi-0.9.3-ath-halops.diff added.

Add compile-time support for use of EITHER macros or functions to wrap use of HAL function pointers.

05/23/07 20:09:25 changed by mtaylor

  • attachment madwifi-0.9.3-ath-halops.2.diff added.

Fixes a compile error where CC is needed to be passed in for turbo check

05/23/07 22:18:47 changed by mtaylor

  • attachment madwifi-0.9.3-ath-halops.3.diff added.

Update

05/23/07 23:20:04 changed by scottr

  • patch_attached set to 1.

Nice!

I'm currently doing a lot of profiling to see where we can optimise calls into the HAL to improve performance on embedded platforms, so this will be very useful. I'll give it a shot.

Cheers,

Scott.

05/24/07 09:35:43 changed by mrenzmann

  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.4.

Patch looks good, feel free to commit. (Note: I reviewed it regarding coding style and obvious problems, but didn't test it.)

05/24/07 23:00:59 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

Committed to trunk in r2369.

02/11/08 06:18:39 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.